Bug 1277501 - Improve messaging for hammer import
Improve messaging for hammer import
Status: CLOSED WONTFIX
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Transitions (Show other bugs)
6.1.3
Unspecified Unspecified
unspecified Severity low (vote)
: Unspecified
: --
Assigned To: Adam Price
Lukas Pramuk
http://projects.theforeman.org/issues...
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-03 08:28 EST by David O'Brien
Modified: 2017-01-05 10:12 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-05 10:12:35 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 12379 None None None 2016-04-22 11:12 EDT

  None (edit)
Description David O'Brien 2015-11-03 08:28:43 EST
Description of problem:

The standard output from "hammer import repositories" is vague. For a successful import and sync the only output (unless you use -v) is "Summary: No action taken."

Version-Release number of selected component (if applicable):


How reproducible:

Always?

Steps to Reproduce:
1. Take a 5.7 export and extract as per user doc
2. Import orgs, etc., as described in the doc
3. Run "hammer import repositories" as described in the doc:

# hammer import repository --synchronize --wait --no-async \
> --csv-file /tmp/exports/repositories.csv
[Foreman] Username: admin
[Foreman] Password for admin: 

<several hours later>

Summary
  No action taken.


Actual results:

The import was successful, as evidenced by hammer organization list and hammer product list, but the message doesn't indicate that.

Expected results:

Something along the lines of "All repositories imported and synchronized successfully."

Additional info:
Comment 1 David O'Brien 2015-11-03 08:44:56 EST
This command could be further improved by adding a progress meter of some sort. The sync can take a LONG time and some people could assume it's in error of some sort and cancel the op.
Comment 2 Bryan Kearney 2015-11-03 09:53:32 EST
Created redmine issue http://projects.theforeman.org/issues/12379 from this bug
Comment 4 Bryan Kearney 2016-04-11 12:06:13 EDT
Upstream bug component is Uncategorized
Comment 5 David O'Brien 2016-04-17 20:47:37 EDT
Reset docs contact <> daobrien
Comment 6 Bryan Kearney 2016-07-08 16:48:20 EDT
Per 6.3 planning, moving out non acked bugs to the backlog
Comment 8 Bryan Kearney 2016-12-16 14:07:04 EST
Upstream bug component is Hammer
Comment 9 Bryan Kearney 2017-01-05 10:12:35 EST
This is an older bug which has been reported upstream. We are not going to track this bug downstream. When the upstream issue is resolved, the next build will contain the fix. Thank you.

Note You need to log in before you can comment on or make changes to this bug.